
set user_id [ad_get_user_id]

set page_title [_ acknowledgement.all_acks]
set context [list $page_title]

db_multirow -extend { due_date_pretty } all_acks select_acks {
	select a.ack_id, a.title, a.due_date, (select count(*) from acknowledgment_responses where ack_id = a.ack_id) as responses
	from acknowledgments a
	order by a.ack_id;
} {
    set due_date_pretty [lc_time_fmt $due_date "%Q"]
}

list::create \
    -name "all_acks" \
    -multirow "all_acks" \
    -key ack_id \
    -row_pretty_plural [_ acknowledgement.acks] \
    -elements {
        title {
            label "Name"
         	link_url_eval {details?id=$ack_id}
        }
        due_date_pretty {
            label "#acknowledgement.due_date#"
        }
        responses {
            label "#acknowledgement.user#"
            link_url_eval {responses?id=$ack_id}
        }
        delete {
            sub_class narrow
            display_template {
                <img src="/shared/images/Delete16.gif" height="16" width="16" border="0">
            }
            link_url_eval {delete?id=$ack_id}
            link_html { title "#acknowledgement.delete#" }
        }
    }

set new_link "<a href='details'>[_ acknowledgement.new_ack]</a>"