ad_page_contract {
    Show details for one acknowledgement.
    
    @author Peter Alberer(peter@alberer.com)
    @creation-date 2003-10-06
} {
    id:notnull
}

set user_id [ad_get_user_id]
set page_title [_ acknowledgement.details]
set context [list $page_title]
set confirm_link ""

db_1row get_data {
	select title,description,due_date,resp.ack_date
	from acknowledgments a left join
	(select ack_id, ack_date from acknowledgment_responses where user_id = :user_id) resp
	on a.ack_id = resp.ack_id
	where a.ack_id = :id
}

if { $ack_date == "" } {
	set pretty_ack_date [_ acknowledgement.not_signed]
	set confirm_link "<a href='record_response?id=$id'>[_ acknowledgement.sign_ack]</a>"
} else { 
	set pretty_ack_date [lc_time_fmt $ack_date "%Q"] 
}

if { $due_date == "" } {
	set pretty_due_date [_ acknowledgement.no_due_date]
} else { 
	set pretty_due_date [lc_time_fmt $due_date "%Q"] 
}

ad_form -name one_ack -mode display -has_edit 1 -form \
{
	{title:text {html {size 50}} {label "#acknowledgement.title#"} {value $title}}
	{description:text {html {cols 60 rows 13}} {label "#acknowledgement.description#"} {value $description}}
	{due_date:text {label "#acknowledgement.due_date#"} {value $pretty_due_date}}
	{ack_date:text {label "#acknowledgement.sign_date#"} {value $pretty_ack_date}}
}
