ad_page_contract {
    views a category and list the categories underneath it
} 

set package_url [ad_conn package_url]
set current_url [ad_return_url -urlencode]

# check the permission if user has permission for the package
if {![permission::permission_p -object_id [ad_conn package_id] -privilege admin]} {
    ad_return_forbidden "Serurity Violation" "You don't have permission to administer. This incident has been logged."
    ad_script_abort
}

set root_url [ad_conn package_url]
set extra_url [ad_conn extra_url]
if [string equal $extra_url ""] {
    # we don't have a category, so we will display the root categories
    bcms::category::list_categories -multirow_name category_list

    set heading_label "Root Category"

    set context_action "
    <a class=\"contextaction\" id=\"category-add\" href=\"${package_url}manage/category/add?return_url=$current_url\">Add Category</a>"

    set context [list "Root Categories"]
} else {
    # we have a category so lets use the last category_id on the url
    set current_url_list [ad_conn urlv]
    set category_id [lindex $current_url_list [expr [llength $current_url_list] - 1]]

    array set category [bcms::category::get_category -category_id $category_id]

    bcms::category::list_categories -parent_id $category_id -multirow_name category_list

    set heading_label "Sub Category"

    set context_action "
    <a class=\"contextaction\" id=\"category-edit\" href=\"${package_url}manage/category/edit?category_id=$category_id&return_url=$current_url\">Edit this Category</a>
    <a class=\"contextaction\" id=\"category-add\" href=\"${package_url}manage/category/add?parent_id=$category_id&return_url=$current_url\">Add Category</a>"

    set context_list [bcms::widget::category_context -category_id $category_id]
    set context_list [linsert $context_list 0 [list "$root_url" "Root Categories"]]
    set context [lrange $context_list 0 [expr [llength $context_list] - 2]]
    lappend context $category(heading)
}


template::list::create \
    -pass_properties { heading_label } \
    -name category_list \
    -multirow category_list \
    -key category_id \
    -elements {
        heading {
            label "$heading_label"
            link_url_eval "$category_id/"
        }
        description {
            label "Description"
        }
    }

set context_help ""
set title "View Categories"

