# serve the correct template based from the manage type,
# its its in the content manage type, then return the template according to
# the content type

# this page also set an array current_item if the manage type is
# content or template 


# check what are we managing: category, templates or contents
set manage_type [ad_get_client_property -default content [ad_conn package_id] manage_type]
switch -exact $manage_type {
    template {
        #if we are on template manage_type then we need to use the template folder not the page folder
        set root_id [parameter::get -parameter template_folder_id]
    } 
    content {
        set root_id [parameter::get -parameter root_folder_id]
    }
    category {
        ad_return_template category-view
        return
    }
    search {
        ad_return_template search-view
        return
    }
}

set root_url [ad_conn package_url]
set extra_url [ad_conn extra_url]
if [string equal $extra_url ""] {set extra_url "/"}

# get the item by url
array set current_item [bcms::item::get_item_by_url -root_id $root_id -url "$extra_url"]

# check to see if there is a content item for this url.
if {[array size current_item] > 0} {

    # lets check if we need to have / on the url
    # if its a folder we need to add / and redirect
    set current_url_list [ad_conn urlv]
    set current_url [ad_conn url]
    if {![regexp {/$} $current_url] \
            && [string equal $current_item(content_type) "content_folder"]} {
        ad_returnredirect "$current_url/"
        ad_script_abort
    }

    # check the permission if user has permission for the package
    if {![permission::permission_p -object_id [ad_conn package_id] -privilege admin]} {
        ad_return_forbidden "Serurity Violation" "You don't have permission to administer. This incident has been logged."
        ad_script_abort
    }
    
    # return the correct template of a particular content type
    if {[string equal "content_folder" $current_item(content_type)]} {
        ad_return_template folder-view
    } elseif {[string equal "content_revision" $current_item(content_type)]} {
        if {[string equal "text" $current_item(storage_type)]} {
            ad_return_template page-view
        } else {
            ad_return_template file-view
        }
    } elseif {[string equal "content_template" $current_item(content_type)]} {
        ad_return_template template-view
    } elseif {[string equal "image" $current_item(content_type)]} {
        ad_return_template image-view
    } elseif {[string equal "sb_event" $current_item(content_type)]} {
        ad_return_template sb-event-view
    } elseif {[string equal "sb_bio" $current_item(content_type)]} {
        ad_return_template sb-bio-view
    } elseif {[string equal "sb_writing" $current_item(content_type)]} {
        ad_return_template sb-writing-view
    } elseif {[string equal "sb_download" $current_item(content_type)]} {
        ad_return_template sb-download-view
    }

} else {
    ns_returnnotfound
    ad_script_abort
}

