ad_page_contract {
	a form for adding content

} {
    {relate_to:optional,naturalnum ""}
    {revision_id:optional,naturalnum ""}
    {name:optional ""}
    folder_id:notnull,naturalnum
	return_url:notnull
    content_type:notnull
}

# if the revision_id is 0 then unset it, its not a valid revision.  Its likely that its requesting 
# a new revision
if [string equal $revision_id ""] { unset revision_id }

# lets get an existing item on that url
if {![string equal $name ""]} {
    array set existing_name [bcms::item::get_item_by_url -root_id $folder_id -url $name -resolve_index false -revision latest]
}

ad_form -name wizard_form -html {enctype multipart/form-data} -form {

    revision_id:key

    {name:text(text) {label "URL"}}
    {title:text(text) {label "Title"}}
    {description:text(textarea),optional {html {rows 5 cols 80}} {label "Description"}}
    {upload_file:file(file),optional {label "File"}}
    {relate_to:text(hidden) {value $relate_to}}

} -edit_request {

    array set one_revision [bcms::revision::get_revision -revision_id $revision_id]
    set title $one_revision(title)
    set description $one_revision(description)
    set name $one_revision(name)

    ad_set_form_values name title description

} -validate {
    {name
        {([array size existing_name] == 0) || ([info exists revision_id] && ($existing_name(latest_revision) == $revision_id))}
        "URL already exists, <br /> please use another URL"
    }
} -edit_data {

    # get the file properties
    set upload_filename [template::util::file::get_property filename $upload_file]
    set upload_tmpfile [template::util::file::get_property tmp_filename $upload_file]
    set upload_mime_type [template::util::file::get_property mime_type $upload_file]

    # get the item based from revision_id
    array set one_revision [bcms::revision::get_revision -revision_id $revision_id]

    db_transaction {
        bcms::item::set_item -item_id $one_revision(item_id) -name $name

        bcms::revision::set_revision -revision_id $revision_id \
            -title $title -description $description 

        # lets change the file if a new one is uploaded
        if ![string equal $upload_tmpfile ""] {

			if ![string equal $upload_mime_type ""] {
				bcms::revision::upload_file_revision -item_id $one_revision(item_id) -revision_id $revision_id \
					-upload_filename $upload_filename -upload_tmpfile $upload_tmpfile -mime_type $upload_mime_type
			} else {
				# can't determine the mime type just use whatever is the default
				bcms::revision::upload_file_revision -item_id $one_revision(item_id) -revision_id $revision_id \
					-upload_filename $upload_filename -upload_tmpfile $upload_tmpfile
			}

        }

    }

    ad_returnredirect $return_url


} -new_data {

    set creation_user_id [ad_conn user_id]
    set creation_ip [ad_conn peeraddr]

    # set the prover vars
    switch -exact $content_type {
        bcms_file {
            set relation_type files
        }
        image {
            set relation_type images
        }
        default {
            ad_return_complaint 1 "content_type is invalid"
        }
    }

    db_transaction {

        # create the content item
        set item_id [bcms::item::create_item -item_name $name -parent_id $folder_id -content_type $content_type \
                         -storage_type file -creation_user_id $creation_user_id -creation_ip $creation_ip]

        # check if indeed there is an item id to map to
        if {$item_id > 0} {
            set upload_filename [template::util::file::get_property filename $upload_file]
			set upload_tmpfile [template::util::file::get_property tmp_filename $upload_file]
			set upload_mime_type [template::util::file::get_property mime_type $upload_file]

            if [string equal $upload_tmpfile ""] {
                ad_return_complaint 1 "please uploade a file"
            } else {

                if ![string equal $upload_mime_type ""] {
                    bcms::revision::upload_file_revision -item_id $item_id \
                        -title $title -description $description \
                        -upload_filename $upload_filename -upload_tmpfile $upload_tmpfile -mime_type $upload_mime_type \
                        -creation_user_id $creation_user_id -creation_ip $creation_ip
                } else {
                    # can't determine the mime type just use whatever is the default
                    bcms::revision::upload_file_revision -item_id $item_id \
                        -title $title -description $description \
                        -upload_filename $upload_filename -upload_tmpfile $upload_tmpfile \
                        -creation_user_id $creation_user_id -creation_ip $creation_ip
                }

                # relate this file to another item if relate_to is existing
                if ![string equal $relate_to ""] {
                    bcms::item::relate_item -relation_type $relation_type -item_id $relate_to -related_object_id $item_id
                }
            }

        } else {
            ns_log notice "bcms: Unable to creation revision to a content item that does not exists"
        }

    }

    ad_returnredirect $return_url

}

# set the button for the form
template::wizard submit wizard_form -buttons { back finish }

# return the common template
ad_return_template wizard-form-step

