ad_page_contract {
	create a new folder form
} {
    folder_name:notnull,trim
    folder_label:notnull,trim
    folder_id:notnull,naturalnum
    template_id:notnull,naturalnum
    return_url:notnull
}

# the parent id of this folder is the folder_id that was choosen
set parent_id $folder_id

array set parent_folder [bcms::folder::get_folder -folder_id $folder_id]
if {$template_id > 0} {
    array set one_template [bcms::item::get_item -item_id $template_id -revision latest]
} else {
    set one_template(title) "Default Template"
}

# create the form
ad_form -name wizard_form -form {

    {confirm_text:text(inform) {label "Section URL"} {value $folder_name}}
    {confirm_text2:text(inform) {label "Section Name"} {value $folder_label}}
    {confirm_text3:text(inform) {label "Parent Section"} {value $parent_folder(label)}}
    {confirm_text4:text(inform) {label "Section Template"} {value $one_template(title)}}

} -on_submit {

    set creation_user_id [ad_conn user_id]
    set creation_ip [ad_conn peeraddr]

    db_transaction {
        # now that we have all the data create the folder
        set folder_id [bcms::folder::create_folder -name $folder_name -folder_label $folder_label -parent_id $parent_id]

        # create the index page for the folder
        set item_id [bcms::item::create_item -item_name index -parent_id $folder_id -content_type bcms_page \
                         -storage_type text -creation_user_id $creation_user_id -creation_ip $creation_ip]

        # create an initial revision that is blank
        set revision_id [bcms::revision::add_revision -item_id $item_id \
                             -title $folder_label -content "" -description "" \
                             -mime_type "text/html" \
                             -creation_user_id $creation_user_id -creation_ip $creation_ip]

        if {$template_id > 0} {
            # set the template
            bcds::apply_template -item_id $folder_id -template_id $template_id -context "public"
        }
    }
    
    ad_returnredirect $return_url

}

# set the button for the form
template::wizard submit wizard_form -buttons { back finish }

# return the common template
ad_return_template wizard-form-step



