ad_page_contract {
    folder name and folder label form
    sets folder_name and folder_label wizard vars
} {
    folder_id:notnull,naturalnum
    {folder_name:optional ""}
    {folder_label:optional ""}
    return_url:optional
}

# we set the parent id to the folder_id that was passed
# since we are creating this folder under the existing
# folder_id
set parent_id $folder_id

# lets get an existing item on that url
if {![string equal $folder_name ""]} {
    array set existing_folder [bcms::item::get_item_by_url -root_id $parent_id -url $folder_name -resolve_index false]
}

# create the form
ad_form -name wizard_form -form {

    {folder_name:text(text) {label "Section URL"} {value $folder_name}}
    {folder_label:text(text) {label "Section Name"} {value $folder_label}}

} -validate {
    {folder_name
        {([array size existing_folder] == 0)}
        "Section URL already exists, <br /> please use another Section URL"
    }
} -on_submit {
    # save the return_url
    if { [info exists return_url] } {
        template::wizard set_param return_url $return_url
    }

    # save the folder_name and folder_label and move the wizard forward
    template::wizard set_param folder_name $folder_name
    template::wizard set_param folder_label $folder_label
    template::wizard forward
}

# set the button for the form
template::wizard submit wizard_form -buttons { back next }

# return the common template
ad_return_template wizard-form-step


