ad_page_contract {
    folder name and folder label form
    sets folder_name and folder_label wizard vars
} {
    folder_id:notnull,naturalnum
    {folder_name:optional ""}
    {folder_label:optional ""}
    return_url:optional
}

# we get the folder here rather than ad_form's edit_request since we need some
# value outside of ad_form, so we will query only once
array set one_folder [bcms::folder::get_folder -folder_id $folder_id]

# if the folder_name or folder_label is blank most likely this is ther first time
# this form is visited from a wizard, if the have value the user must
# step back
if {[string equal $folder_name ""] || [string equal $folder_label ""]} {
    set folder_name $one_folder(name)
    set folder_label $one_folder(label)
    
}

# lets get an existing item on that url
array set existing_folder [bcms::item::get_item_by_url -root_id $one_folder(parent_id) -url $folder_name -resolve_index false]

# create the form
ad_form -name wizard_form -form {

    {folder_name:text(text) {label "Section URL"} {value $folder_name}}
    {folder_label:text(text) {label "Section Name"} {value $folder_label}}

} -validate {
    {folder_name
        {([array size existing_folder] == 0) || ([info exists folder_id] && ($existing_folder(item_id) == $folder_id))}
        "Section URL already exists, <br /> please use another Section URL"
    }
} -on_submit {
    # save the return_url
    if { [info exists return_url] } {
        template::wizard set_param return_url $return_url
    }

    # save the folder_name and folder_label and move the wizard forward
    template::wizard set_param folder_name $folder_name
    template::wizard set_param folder_label $folder_label
    template::wizard forward
}

# set the button for the form
template::wizard submit wizard_form -buttons { back next }

# return the common template
ad_return_template wizard-form-step


