set root_folder_id [bcms::folder::get_bcms_root_folder]

if { ( $root_folder_id == 0 ) } {

    ns_log notice "redirecting to admin pages to properly set this bcms UI package"
    ad_returnredirect admin
    ad_script_abort

}

    db_transaction {

        # register the content types to the folders
        # we register the content type to the root folder to be flexible
        # even though we have created the default folders
	if ![bcms::is_registered_content_type -folder_id $root_folder_id -content_type bcms_page] {
	    bcms::register_content_type -folder_id $root_folder_id -content_type bcms_page
	}
	if ![bcms::is_registered_content_type -folder_id $root_folder_id -content_type bcms_file] {
	    bcms::register_content_type -folder_id $root_folder_id -content_type bcms_file
	}

        # create the default subfolders other wise get the current folder ids
	array set pages_folder [bcms::item::get_item_by_url -root_id $root_folder_id -url "pages" -resolve_index false]
	if ![array size pages_folder] {
	    set pages_folder_id [bcms::folder::create_folder -name "pages" \
                                 -folder_label "Pages" -parent_id $root_folder_id \
                                 -description "This folder holds web pages"]
	    # create the index page for the folder
	    set item_id [bcms::item::create_item -item_name index -parent_id $pages_folder_id \
			     -content_type bcms_page -storage_type text]

	    # create an initial revision that is blank
	    set revision_id [bcms::revision::add_revision -item_id $item_id \
				 -title "Home Page" -content "" -description "Blank Home Page" \
				 -mime_type "text/html" ]

	} else {
	    set pages_folder_id $pages_folder(item_id)
	}

	array set images_folder [bcms::item::get_item_by_url -root_id $root_folder_id -url "images" -resolve_index false]
	if ![array size images_folder] {
	    set images_folder_id [bcms::folder::create_folder -name "images" \
                                  -folder_label "Images" -parent_id $root_folder_id \
                                  -description "This folder holds images"]
	} else {
	    set images_folder_id $images_folder(item_id)
	}

	array set files_folder [bcms::item::get_item_by_url -root_id $root_folder_id -url "files" -resolve_index false]
	if ![array size files_folder] {
	    set files_folder_id [bcms::folder::create_folder -name "files" -folder_label "Files" \
                                 -parent_id $root_folder_id \
                                  -description "This folder holds files"]
	} else {
	    set files_folder_id $files_folder(item_id)
	}


    }



