ad_page_contract {
    swap the tree_sortkey of an item
    need to rehash this so it portable to oracle
    due to this feature bcms will be postgres specific like etp
    taken from etp-swap
} {
    item_id:notnull,naturalnum
    swap_to:notnull
    return_url:notnull
}

array set sortkeys [bcms::item::get_sortkeys -item_id $item_id]
set next_sortkey $sortkeys(next_sortkey)
set current_sortkey $sortkeys(current_sortkey)
set prev_sortkey $sortkeys(prev_sortkey)

# set the key that we will swap for the current item's tree_sortkey
if {![string equal $next_sortkey ""] && [string equal $swap_to "next"]} {
    # if we will swap to the next key then we query from the current key
    set swap_sortkey $next_sortkey
    set sql "select item_id, tree_sortkey from cr_items where tree_sortkey >= :current_sortkey order by tree_sortkey"
} elseif {![string equal $prev_sortkey ""] && [string equal $swap_to "prev"]} {
    # if we will swap to the prev key then start from the prev key
    set swap_sortkey $prev_sortkey
    set sql "select item_id, tree_sortkey from cr_items where tree_sortkey >= :prev_sortkey order by tree_sortkey"
}
if [info exists swap_sortkey] {
    db_transaction {
        db_foreach get_keys $sql {
            if {[regsub "^$current_sortkey" $tree_sortkey $swap_sortkey new_sortkey] ||
                [regsub "^$swap_sortkey" $tree_sortkey $current_sortkey new_sortkey]} {
                # we swap the keys from the start query defined on tope
                db_dml update_current_item "update cr_items set tree_sortkey = :new_sortkey where item_id = :item_id"
            } else {
                # because of how we ordered the select, we're done.
                # db_foreach will flush the remaining result rows.
                break
            }
            # end db_foreach
        }
        # end db_transaction
    }
}

ad_returnredirect $return_url




