ad_page_contract {
    page name form

} {
    folder_id:notnull,naturalnum
    {page_id:optional,naturalnum ""}
    {page_name:optional ""}
    {return_url:optional}
}

# if item_id is 0 then unset it, we need to do this since wizard sometimes
# set it to ""
if {[string equal $page_id ""]} { unset page_id }

# lets get an existing item on that url
if {![string equal $page_name ""]} {
    array set existing_page [bcms::item::get_item_by_url -root_id $folder_id -url $page_name -resolve_index false]
}

# create the form
ad_form -name wizard_form -form {

    page_id:key

    {page_name:text(text) {label "Page URL"} {value $page_name}}

} -edit_request {
    # if the page_name is blank most likely this is ther first time
    # this form is visited from a wizard, if the have value the user must
    # step back
    if {[string equal $page_name ""]} {
        # get the current item
        array set one_item [bcms::item::get_item -item_id $page_id]
        set page_name $one_item(name)

        # set the form vars
        ad_set_form_values page_name
    }

} -validate {
    {page_name
        {([array size existing_page] == 0) || ([info exists page_id] && ($existing_page(item_id) == $page_id))}
        "Page URL already exists, <br /> please use another Page URL"
    }
} -on_submit {

    # save the return_url
    if { [info exists return_url] } {
        template::wizard set_param return_url $return_url
    }
    # save the page_name and move the wizard forward
    template::wizard set_param page_name $page_name
    template::wizard forward

}

# set the button for the form
template::wizard submit wizard_form -buttons { back next }

# return the common template
ad_return_template wizard-form-step


