ad_page_contract {
	a form for adding content

} {
    {page_id:optional,naturalnum ""}
    {revision_id:optional,naturalnum ""}
    {page_name:optional ""}
    {folder_id:optional,naturalnum ""}
	return_url:notnull
}

# if the revision_id is blank then unset it, its not a valid revision.  Its likely that its requesting 
# a new revision
if [string equal $revision_id ""] { unset revision_id }

ad_form -name wizard_form -form {

    revision_id:key

    {title:text(text) {label "Title"}}
    {description:text(textarea),optional {html {rows 5 cols 80}} {label "Description"}}
    {content:text(textarea),optional {html {rows 20 cols 80}} {label "Text Content"}}

} -edit_request {

    array set one_revision [bcms::revision::get_revision -revision_id $revision_id]
    set title $one_revision(title)
    set content $one_revision(content)
    set description $one_revision(description)

    ad_set_form_values title content description

} -edit_data {

    bcms::revision::set_revision -revision_id $revision_id \
       -title $title -content $content -description $description

    ad_returnredirect $return_url


} -new_data {
    set creation_user_id [ad_conn user_id]
    set creation_ip [ad_conn peeraddr]

    if {![string equal $page_id ""]} {
        # just create the revision the page is existing
        set revision_id [bcms::revision::add_revision -item_id $page_id \
                             -title $title -content $content -description $description \
                             -mime_type "text/html" \
                             -creation_user_id $creation_user_id -creation_ip $creation_ip]
    } elseif {![string equal $folder_id ""] && ![string equal $page_name ""]} {
        # create the page and revision
        db_transaction {
            set page_id [bcms::item::create_item -item_name $page_name -parent_id $folder_id -content_type bcms_page \
                             -storage_type text -creation_user_id $creation_user_id -creation_ip $creation_ip]

            set revision_id [bcms::revision::add_revision -item_id $page_id \
                                 -title $title -content $content -description $description \
                                 -mime_type "text/html" \
                                 -creation_user_id $creation_user_id -creation_ip $creation_ip]
        }
        
        # when the page is created redirect to that page
        ad_returnredirect "page-one?page_id=$page_id&return_url=$return_url"
    } else {
        ns_log notice "bcms: revision not created"
    }

    ad_returnredirect $return_url


}

# set the button for the form
template::wizard submit wizard_form -buttons { back finish }

# return the common template
ad_return_template wizard-form-step

