ad_page_contract {
    list the templates of this bcms instance
} {
    {template_id:optional,naturalnum ""}
    return_url:optional
    page_id:optional
}

set template_folder_id [parameter::get -parameter template_folder_id]
set template_option_list [bcms::widget::option_list -list_of_ns_sets \
                          [bcms::item::list_items -parent_id $template_folder_id \
                               -content_type content_template -return_list -revision latest] \
                              -value_column item_id -display_columns title]

# if its a page offer to use the section template
# if its a folder offer to use the default template
if [info exists page_id] {
    set template_option_list [linsert $template_option_list 0 {"Use current section template" 0}]
} else {
    set template_option_list [linsert $template_option_list 0 {"Default Template" 0}]
}

# create the form
ad_form -name wizard_form -form {

    {template_id:integer(select) {label "Template List"} {options $template_option_list} {value $template_id}}

} -on_submit {
    # save the return_url
    if { [info exists return_url] } {
        template::wizard set_param return_url $return_url
    }

    # set the template_id
    template::wizard set_param template_id $template_id
    # move forward the wizard
    template::wizard forward

}

# set the button for the form
template::wizard submit wizard_form -buttons { back next }

# return the common template
ad_return_template wizard-form-step



