<?xml version="1.0"?>

<queryset>

   <rdbms><type>postgresql</type><version>7.2</version></rdbms>

        <fullquery name="bcms::folder::get_cr_root_folder.get_cr_root_folder">
                <querytext>
                        select content_item__get_root_folder(null);
                </querytext>
        </fullquery>

        <fullquery name="bcms::folder::list_folders.get_cr_folders">
                <querytext>
                        select  f.folder_id, 
                                i.name, 
                                i.parent_id,
                                f.label, 
                                f.has_child_folders,
                                f.has_child_symlinks,
                                f.package_id
                        from cr_items i, cr_folders f
                        where f.folder_id = i.item_id
                            and i.parent_id = :parent_id
                        order by i.tree_sortkey
                </querytext>
        </fullquery>

        <fullquery name="bcms::folder::tree_folders.get_cr_folders">
                <querytext>
                    select f.folder_id,
                            i.name,
                            i.parent_id,
                            f.label,
                            f.has_child_folders,
                            f.has_child_symlinks,
                            f.package_id,
                            tree_level(i.tree_sortkey) as level,
                            tree_level(p.tree_sortkey) as parent_level,
                            :prepend_path || content_item__get_path(f.folder_id, p.item_id) as path
                    from cr_items i, cr_folders f,
                        (select item_id, tree_sortkey from cr_items where item_id = :parent_id) p
                    where
                        f.folder_id = i.item_id
                        and i.tree_sortkey between p.tree_sortkey and tree_right(p.tree_sortkey)
                        $addtnl_where
                    order by i.tree_sortkey
                </querytext>
        </fullquery>
    
        <fullquery name="bcms::folder::delete_folder.delete_folder">
                <querytext>
                        select content_folder__delete(:folder_id,:cascade_p)
                </querytext>
        </fullquery>

        <fullquery name="bcms::folder::register_content_types.register_type">
                <querytext>

                    select content_folder__register_content_type (
                        :folder_id,
                        :content_type,
                        :subtypes_p
                    )
                </querytext>
        </fullquery>

        <fullquery name="bcms::folder::is_registered_content_type.check_content_type">
            <querytext>
                select content_folder__is_registered (:folder_id, :content_type, 'f');
            </querytext>
        </fullquery>

</queryset>
