<?xml version="1.0"?>

<queryset>
   <rdbms><type>postgresql</type><version>7.2</version></rdbms>

	<fullquery name="bcms::revision::delete_revision.delete_revision">
		<querytext>
			select content_revision__delete(:revision_id);
		</querytext>
	</fullquery>

    <fullquery name="bcms::revision::delete_revision.get_revision_count">
        <querytext>
            select count(*) from cr_revisions where item_id = (
                select item_id from cr_revisions where revision_id = :revision_id
            )
        </querytext>
    </fullquery>

	<fullquery name="bcms::revision::set_revision_status.set_live">
		<querytext>
			select content_item__set_live_revision (:revision_id, 'live')
		</querytext>
	</fullquery>

	<fullquery name="bcms::revision::set_revision_status.unset_live">
		<querytext>
			select content_item__unset_live_revision (item_id) from cr_revisions 
				where revision_id = :revision_id
		</querytext>
	</fullquery>

	<fullquery name="bcms::revision::list_revisions.get_revisions">
		<querytext>
			select x.item_id, x.revision_id, x.name, x.title, x.description, p.first_names, p.last_name, 
				to_char(x.last_modified,'HH:MI AM MM/DD/YYYY') as creation_date, l.live_revision_id
				from ${table_name}x x, persons p, (select content_item__get_live_revision(:item_id) as live_revision_id) l
			where x.creation_user = p.person_id
			and x.item_id = :item_id
            order by x.last_modified desc;
		</querytext>
	</fullquery>

    <fullquery name="bcms::revision::copy_revision.copy_revision">
        <querytext>
            select content_revision__copy(:revision_id, null, null, :creation_user_id, :creation_ip)
        </querytext>
    </fullquery>

</queryset>
