<?xml version="1.0"?>
<queryset>
    <rdbms><type>postgresql</type><version>7.1</version></rdbms>


    <fullquery name="classified-ads::categories::new.create_keyword">
        <querytext>

              select content_keyword__new (:heading,
                                           :description,
                                           :parent_id,
                                           :keyword_id,
                                           now(),
                                           :creation_user,
                                           :creation_ip,
                                           'content_keyword')

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::categories::delete.delete_category">
        <querytext>

              select content_keyword__delete (:keyword_id)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::categories::get_heading.get_heading">
        <querytext>

              select content_keyword__get_heading (:keyword_id)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::categories::set_heading.set_heading">
        <querytext>

              select content_keyword__set_heading (:keyword_id,
                                                   :heading)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::categories::get_description.get_description">
        <querytext>

              select content_keyword__get_description (:keyword_id)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::categories::set_description.set_description">
        <querytext>

              select content_keyword__set_description (:keyword_id,
                                                       :description)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::categories::get_path.get_path">
        <querytext>

              select content_keyword__get_path (:keyword_id)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::categories::item_assign.add_map">
        <querytext>

              select content_keyword__item_assign (:item_id,
                                                   :keyword_id,
                                                   null,
                                                   null,
                                                   null)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::categories::item_unassign.delete_map">
        <querytext>

              select content_keyword__item_unassign (:item_id,
                                                     :keyword_id)

        </querytext>
    </fullquery>

    <fullquery name="classified-ads::categories::get_custom_fields.get_fields">
        <querytext>
            
	    SELECT 
	           attribute_name, pretty_name
	      FROM 
	           acs_attributes att,
		   ca_attributes ca,
		   (
		            select 
                		   subtree.keyword_id
		              from cr_keywords parent, cr_keywords subtree
		             where parent.keyword_id = :keyword_id 
			       and parent.tree_sortkey between 
			               subtree.tree_sortkey 
				   and 
				       tree_right(subtree.tree_sortkey)
		   ) keywords
	    WHERE
	          att.attribute_id = ca.attribute_id
	      AND
	          ca.keyword_id = keywords.keyword_id
	           
        </querytext>
    </fullquery>

    <fullquery name="classified-ads::categories::get_custom_fields_and_datatypes.get_fields">
        <querytext>
            
	    SELECT 
	           attribute_name, datatype 
	      FROM 
	           acs_attributes att,
		   ca_attributes ca,
		   (
		            select 
                		   subtree.keyword_id
		              from cr_keywords parent, cr_keywords subtree
		             where parent.keyword_id = :keyword_id 
			       and parent.tree_sortkey between 
			               subtree.tree_sortkey 
				   and 
				       tree_right(subtree.tree_sortkey)
		   ) keywords
	    WHERE
	          att.attribute_id = ca.attribute_id
	      AND
	          ca.keyword_id = keywords.keyword_id
	           
        </querytext>
    </fullquery>

    <fullquery name="classified-ads::categories::get_all_tree.get">
        <querytext>
            
            select 
	           repeat(:indent_pattern, (tree_level(subtree.tree_sortkey) - 2) * :indent_factor::integer) || subtree.heading AS heading,
      		   subtree.keyword_id
              from 
	           cr_keywords parent, cr_keywords subtree
             where 
	           parent.keyword_id = :keyword_id 
	       and 
	           subtree.tree_sortkey between parent.tree_sortkey and tree_right(parent.tree_sortkey)
	           
        </querytext>
    </fullquery>

</queryset>
