ad_library {

    initialize classified-ads

    @author Deds Castillo (deds@infiniteinfo.com)
    @creation-date 2002-10-08
    @version $Id: classified-ads-init.tcl,v 1.4 2003/07/30 04:56:41 rmello Exp $

}

ns_log Debug "classified-ads-init: starting..."

# 
# Are we installed?
#

if {[classified-ads::is_instantiated]} {
    ns_log Debug "classified-ads-init: checking for root folder..."

    set root_folder_id [classified-ads::root_folder_exists_p]

    if {!$root_folder_id} {
        ns_log Error "Root Folder for classified ads not found.  Datamodel probably not loaded."
    } else {
        ns_log Debug "Root Folder for classified ads found."
	#
        # we have a root folder. let's now look for mounted instances of classified-ads and
        # check if they have folders.  if they don't let's create it for them
	#

        set package_list [classified-ads::get_mounted_packages]

        foreach package_id $package_list {
            set package_folder_id [classified-ads::get_folder_id -package_id $package_id]

            if {!$package_folder_id} {
                ns_log Debug "classified-ads-init: creating root folder for package $package_id..."
                set package_folder_id [classified-ads::create_package_folder -root_folder_id $root_folder_id \
                                           -package_id $package_id \
                                          ]
            }

	    #
            # DEDS: FIXME - right now, the content types are hardcoded.  This should not be the case.
            #               We should also loop through acs_object_types and get all child types
	    #

            if {$package_folder_id} {
                classified-ads::register_content_type -folder_id $package_folder_id -content_type ca_ad
                ns_log Debug "classified-ads-init: registering ca_ad for $package_folder_id"
                classified-ads::register_content_type -folder_id $package_folder_id -content_type content_revision
                ns_log Debug "classified-ads-init: registering content_revision for $package_folder_id"
                classified-ads::register_content_type -folder_id $package_folder_id -content_type ca_image
                ns_log Debug "classified-ads-init: registering ca_image for $package_folder_id"
            }
        }
    }

    ns_log Debug "classified-ads-init: checking for root keyword..."

    if {![classified-ads::get_main_keyword_id]} {
        ns_log Error "Root Keyword for classified ads not found.  Datamodel probably not loaded."
    } else {
        ns_log Debug "Root Keyword for classified ads found."
    }
}

ns_log Debug "classified-ads-init: done"
