<?xml version="1.0"?>
<queryset>
    <rdbms><type>postgresql</type><version>7.1</version></rdbms>


    <fullquery name="classified-ads::get_folder_id.select_folder_id">
        <querytext>

              select ca__get_folder_id (:package_id)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::get_content_type.select_type">
        <querytext>

              select content_item__get_content_type (:item_id)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::register_content_type.register_content_type">
        <querytext>

              select content_folder__register_content_type (:folder_id,
                                                            :content_type,
                                                            :include_subtypes)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::create_package_folder.create_folder">
        <querytext>

            select content_folder__new (:name,
                                        :label,
                                        :description,
                                        :root_folder_id)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::create_package_folder.associate_package">
        <querytext>

            select ca__set_package_folder (:new_folder_id,
                                           :package_id)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::create_ca_item.insert_content_item">
        <querytext>

              select content_item__new (:name::varchar,
                                        :parent_id::int4,
                                        :item_id::int4,
                                        null,
                                        now(),
                                        :creation_user,
                                        null,
                                        :creation_ip,
                                        :content_item,
                                        :content_type,
                                        null,
                                        null,
                                        'text/plain',
                                        null,
                                        null,
                                        'text'::varchar)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::create_ca_item.insert_content_revision">
        <querytext>

              select content_revision__new (:title,
                                            :description,
                                            now(),
                                            null,
                                            null,
                                            :data,
                                            :item_id,
                                            null,
                                            now(),
                                            :creation_user,
                                            :creation_ip)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::create_ca_item.insert_data">
        <querytext>

              $plsql_query

        </querytext>
    </fullquery>

    <fullquery name="classified-ads::create_ca_item.assign_item_to_category">
        <querytext>

              select content_keyword__item_assign (:cr_item_id,
                                                   :category_id,
                                                   null,
                                                   null,
                                                   null)
        </querytext>
    </fullquery>

    <fullquery name="classified-ads::edit_ca_item.insert_content_revision">
        <querytext>

              select content_revision__new (:title,
                                            :description,
                                            now(),
                                            null,
                                            null,
                                            :data,
                                            :item_id,
                                            null,
                                            now(),
                                            :creation_user,
                                            :creation_ip)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::edit_ca_item.update_content_revision">
        <querytext>

            update cr_revisions
            set title = :title,
                description = :description,
                content = :data
            where revision_id = :object_id

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::edit_ca_item.update_data">
        <querytext>

              $plsql_query

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::is_subclass.test_subclass">
        <querytext>

            select content_item__is_subclass (:content_type,
                                              :parent_type)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::insert_generic_value.insert_value">
        <querytext>

            select ca_attributes__add_generic_value (:object_id,
                                                     :attribute_id,
                                                     :attr_value)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::update_generic_value.update_value">
        <querytext>

            select ca_attributes__edit_generic_value (:object_id,
                                                      :attribute_id,
                                                      :attr_value)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::get_latest_revision.get_revision">
        <querytext>

            select content_item__get_latest_revision (:item_id)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::get_content.select_content">
        <querytext>

            select content_revision__get_content (:revision_id)

        </querytext>
    </fullquery>


    <fullquery name="classified-ads::context_bar.context">      
        <querytext>
      
            select site_node__url(n2.node_id) as url,
                   n2.object_id,
                   acs_object__name(n2.object_id) as object_name,
                   tree_level(n2.tree_sortkey) as level
            from (select tree_ancestor_keys(site_node_get_tree_sortkey(:node_id)) as tree_sortkey) parents,
                 site_nodes n2
            where n2.tree_sortkey = parents.tree_sortkey
                  and tree_level(n2.tree_sortkey) > 1
            order by level asc
  
        </querytext>
    </fullquery>

    <fullquery name="classified-ads::install_sitewide_attributes.create_attribute">
        <querytext>

    		SELECT ca_attributes__create_attribute (
		        'ca_ad',                      -- content_type
		         :attribute_name,             -- attribute_name
		         :datatype,                   -- datatype
		         :pretty_name,                -- pretty_name
		         :pretty_plural,              -- pretty_plural
		         null,                        -- sort_order
		         :default_value,              -- default_value
			 'type_specific',             -- storage
			 'cr_ca_ads',                 -- table_name
			 :column_spec,                -- column_spec
			 :main_keyword_id             -- keyword_id
		);

        </querytext>
    </fullquery>

    <fullquery name="classified-ads::install_sitewide_attributes.register_widget">
        <querytext>

		SELECT ca_attributes__register_widget (
			:attribute_id,                  -- attribute_id
			:widget,                        -- widget
			:pretty_name,                   -- label
			:html_options,                  -- html_options
			:extra_options,                 -- extra_options
                        :select_options,                -- select_options
                        :validate,                      -- validate
			:optional_p,                    -- optional_p
			:enabled_p                      -- enabled_p
		);                                                                                                                                        

        </querytext>
    </fullquery>
                                                                                                                                              

    <fullquery name="classified-ads::get_attributes.select_attributes">
        <querytext>

	    SELECT 
	           aa.attribute_id,
		   aa.attribute_name, 
		   aa.pretty_name,
		   aa.pretty_plural,
	           aa.default_value,
                   aa.storage,
                   aa.datatype,
		   aa.sort_order,
                   coalesce(aa.table_name, at.table_name) as table_name,
	           coalesce(aa.column_name, aa.attribute_name) as column_name,
		   cawv.widget,  cawv.label,  cawv.html_options, 
		   cawv.extra_options, cawv.select_options,
		   cawv.validate, cawv.optional_p, cawv.enabled_p,
		   keywords.heading AS category_heading
	      FROM 
	           acs_attributes aa,
		   ca_attributes ca,
		   ca_attribute_widget_values cawv,
                   acs_object_types at,
		   (
		            select 
                		   subtree.keyword_id,
				   subtree.heading
		              from cr_keywords parent, cr_keywords subtree
		             where parent.keyword_id = :keyword_id 
			       and parent.tree_sortkey between subtree.tree_sortkey and tree_right(subtree.tree_sortkey)
		   ) keywords 
	    WHERE
	          aa.attribute_id = ca.attribute_id
	      AND
	          ca.attribute_id = cawv.attribute_id
	      AND
	          ca.keyword_id = keywords.keyword_id
	      AND
                  aa.object_type = :content_type
	      AND
                  at.object_type = :content_type
              $storage_stub
         ORDER BY
	          aa.sort_order asc

        </querytext>
    </fullquery>

</queryset>
