ad_library {

    Classified Ads Procs (Containers)

    @author Deds Castillo (deds@infiniteinfo.com)
    @creation-date 2002-10-08
    @cvs-id $Id: containers-procs.tcl,v 1.1 2003/07/16 04:52:32 rmello Exp $

}

namespace eval classified-ads::containers {


   ad_proc -public new {
       {-item_id_element:required}
       {-form_id:required}
    } {

        creates a new container

        @param form_id The ID of the form that contains the name/value pairs
        @param item_id_element The name of the form element that should be used as the item id

    } {
        return [classified-ads::create_ca_item -item_id_element $item_id_element \
                    -content_type "ca_container" \
                    -form_id $form_id \
                   ]
    }


   ad_proc -public edit {
       {-item_id_element:required}
       {-form_id:required}
    } {

        edits properties of an existing container

        @param form_id The ID of the form that contains the name/value pairs
        @param item_id_element The name of the form element that should be used as the item id

    } {
        return [classified-ads::edit_ca_item -item_id_element $item_id_element \
                    -form_id $form_id \
                   ]
    }


   ad_proc -public delete {
       {-container_id:required}
    } {

        delete an existing container

        @param container_id The container id of the container to delete

    } {
        db_exec_plsql delete_container {}
        
        return 0
    }


   ad_proc -public get {
       {-container_id:required}
       {-array:required}
    } {

        returns the data for a particular container

        @param container_id The container id of the container to get the data
        @param array An array where the data will be stored

    } {
        upvar $array row
        
        set row(title) [get_title -container_id $container_id]
        set row(description) [get_description -container_id $container_id]

        return 0
    }


   ad_proc -public get_title {
       {-container_id:required}
    } {

        returns the title for a particular container

        @param container_id The container id of the container to get the title

    } {
        return [db_exec_plsql get_title {}]
    }


   ad_proc -public set_title {
       {-container_id:required}
       {-title:required}
    } {

        sets the title for a particular container

        @param container_id The container id of the container to set the title
        @param title The new title

    } {
        return [db_exec_plsql set_title {}]
    }


   ad_proc -public get_description {
       {-container_id:required}
    } {

        returns the description for a particular container

        @param container_id The container id of the container to get the description

    } {
        return [db_exec_plsql get_description {}]
    }


   ad_proc -public set_description {
       {-container_id:required}
       {-description ""}
    } {

        sets the description for a particular container

        @param container_id The container id of the container to set the description
        @param description The new description

    } {
        return [db_exec_plsql set_description {}]
    }


}
