ad_page_contract {

    Classified Ads Main Page 

    @author Roberto Mello
    @creation-date 2003-07-20
    @cvs-id $Id: index.tcl,v 1.8 2005/01/25 23:14:34 jeffd Exp $

} {
    {keyword_id 0}
    {display ""}
    {wtb "t"}
}

set root_folder_id [classified-ads::get_root_folder_id]
set package_category_id [classified-ads::categories::get_package_keyword_id]
set package_category_p 0
set package_id [ad_conn package_id]
set title "Most Recent Ads"
# RBM: FIXME: Remove "50" hard-coded number 
set ads_to_display 50

if {$keyword_id == 0} {
    #
    # If no category was selected, let's use the main package category
    #
    set keyword_id $package_category_id
    set package_category_p 1
    set ads_to_display [parameter::get -package_id $package_id -parameter ads_to_display]
    set actions ""

    #
    # Now get categories. 
    # RBM: FIXME: This query seems inneficient.
    #      FIXME: Bulk actions according to permissions.
    #
    db_multirow categories select_categories {}
    set parent_id $keyword_id
    
    template::list::create \
        -name categories \
        -multirow categories \
        -key keyword_id \
        -actions [list "Create top-level category" \
                        [export_vars -base admin/category-new {parent_id return_url}] \
                        "Create category"] \
        -bulk_actions {
            "Edit"  "admin/category-edit" "Edit checked categories"
            "Delete" "admin/category-delete" "Delete checked categories"
        } \
        -bulk_action_export_vars { 
            keyword_id 
            return_url 
        } \
        -row_pretty_plural "Categories" \
        -elements {
            heading {
                label "Name"
                link_url_eval "index?keyword_id=$keyword_id"
                link_html { title "View ads under this category" }
            }
            description {
                label "Description"
                link_url_eval "index?keyword_id=$keyword_id"
                link_html { title "View ads under this category" }
            }
            children_count {
                label "Number of subcategories"
            }
        }

} elseif {[string equal [classified-ads::get_main_keyword_id] $keyword_id]} {
    #
    # If the selected category is the top-level keyword_id, throw error
    #
    ad_return_complaint 1 "<li> No access to the root id"
    ad_script_abort

} else {
    #
    # Select info for the selected category
    #
    classified-ads::categories::get -keyword_id $keyword_id -array category_info
    set title $category_info(heading)
    set actions [list "Place Ad" [export_vars -base ad-new {keyword_id}] "Place an Ad"]
}

# RBM: FIXME - How should we deal with "unassigned" ads?
#
#template::util::list_of_ns_sets_to_multirow \
#    -rows [classified-ads::ads::get_unassigned_ads_by_category -category_id_list [list $keyword_id]] \
#    -var_name unassigned_ads

# 
# Get custom fields and set to be the list-builder spec
#

set custom_fields_list [util_memoize "classified-ads::categories::get_custom_fields -keyword_id $keyword_id"]

template::util::list_of_ns_sets_to_multirow \
    -rows [classified-ads::ads::get_assigned_ads_by_category \
                -category_id $keyword_id \
                -limit $ads_to_display] \
    -var_name assigned_ads

template::list::create \
    -name assigned_ads \
    -multirow assigned_ads \
    -key ad_id \
    -actions $actions \
    -row_pretty_plural "Ads" \
    -elements {
        title {
            label "Title"
        }
        item_id {
            label "Item"
            link_url_eval "ad-view?ad_id=$item_id"
            link_html { title "View this ad" }
        }
        pretty_publish_date {
            label "Date Posted"
        }
    }

set return_url "[ad_conn url]?[ad_conn query]"
set context [classified-ads::categories::generate_trail -keyword_id $keyword_id]

ad_return_template
