# generic stuff we need
set url [cop::util::url]
set subsite [ad_conn subsite_id]
set user_id [ad_conn user_id]
set cur_pkg [ad_conn package_id]

db_1row obj_title {select o.object_type, pretty_name as tname, pretty_plural as tname_s, title as obj_title, package_id as obj_pkg,  acs_object__name(object_id) as acs_name from acs_objects o, acs_object_types t  where object_id = :displayed_object_id and t.object_type = o.object_type}
if {[empty_string_p $obj_title]} { 
    set obj_title EMPTY
}

if {[empty_string_p $acs_name]} { 
    set acs_name EMPTY
}

# get the clipboard info 
clipboard::clipboards -create_new -force_default [ad_conn user_id] clipboards
clipboard::clipped $displayed_object_id [ad_conn user_id] clipped

# record object view and get current count.
db_string record_view "select views__record_view(:displayed_object_id, :user_id)" -default 0
if {![db_0or1row views "select views, unique_views from view_aggregates where object_id = :displayed_object_id"]} { 
    set views missing
    set unique_views missing
}


# Stuff for ratings.
set rate_form [ratings::form -object_id $displayed_object_id]
set current_rating [ratings::get -object_id $displayed_object_id -user_id $user_id]
array set ratings [ratings::aggregates::get -object_id $displayed_object_id]
if {[info exists ratings(all_rating_ave)]} { 
    set ratings(stars) [ratings::icon::html_fragment -rating $ratings(all_rating_ave)]
} else { 
    set ratings(all_ratings) 0
    set ratings(stars) {}
}
if {![empty_string_p $current_rating]} { 
    set stars [ratings::icon::html_fragment -rating $current_rating]
}
set return_url [ad_return_url]

# stuff for comments
# todo: suppress for things that should not be commentable.
set comment_link {}
append comment_link [general_comments_get_comments -print_content_p 1 $displayed_object_id [ad_return_url]]
append comment_link [general_comments_create_link -object_name "Name for $displayed_object_id" -link_attributes {class="button"} $displayed_object_id $return_url ]


# Stuff for related items
relation::get_related -object_id $displayed_object_id -datasource related
template::multirow extend related delete_url
template::multirow foreach related { 
    set delete_url [export_vars -base related/relation-delete {rel_id return_url}]
}

# mapped categories:
set catass_list [category::list::get_pretty_list \
                     -category_link_eval "${url}categories/?cat=\$__category_id" \
                     [category::get_mapped_categories $displayed_object_id]]
set cat_url [export_vars -base ${url}categories/categorize -override [list [list object_id $displayed_object_id]] object_id]

# dummy for debug
set foo {}
