# /packages/cop-ui/www/ratings/index.tcl
ad_page_contract {
    Display the agg ratings.

    @author Jeff Davis (davis@xarg.net)
    @creation-date 2003-11-23

    @cvs-id $Id: index.tcl,v 1.3 2004/06/15 11:48:50 jeffd Exp $
} {
    {orderby "rating_img,desc"}
}

set user_id [auth::refresh_login]

set clause {}

set title "All Ratings"

set context [list ratings]

set elements {
    ratings {
        label Ratings
        display_template {@ratings.all_ratings@ (<a href="@ratings.object_ratings_url@">show</a>)}
    }
    rating_img {
        label "Average"
        display_template {@ratings.rating_img;noquote@}
    }
    rated_on {
        label "Last Rated"
    }
    object_title {
        label {Item}
        display_template {<a href="/o/@ratings.object_id@">@ratings.object_title@</a>}
    }
}

template::list::create \
    -name ratings \
    -multirow ratings \
    -elements $elements \
    -orderby { 
        ratings {
            orderby_asc {all_ratings desc}
            orderby_desc {all_ratings asc}
        }
        rating_img { 
            orderby_asc {all_rating_ave desc}
            orderby_desc {all_rating_ave asc}
        }
        rated_on { 
            orderby_asc {o.last_modified desc}
            orderby_desc {o.last_modified asc}
        }
        object_title { 
            orderby lower(o.title)
        }
    } -filters { 
        object_id {}
        owner_id {}
    } 

set node_id [ad_conn node_id]
set packages [cop::util::packages -node_id $node_id]

# JCDXXX: TODO: permissions, recent only, paginate.
db_multirow -extend {rating_img object_ratings_url rating} ratings ratings "
    SELECT o.object_id, to_char(r.rated_on,'YYYY-MM-DD HH24:MI') as rated_on, o.title as object_title, r.all_ratings, r.all_rating_sum,r.all_rating_ave
      FROM rating_aggregates r, acs_objects o
     WHERE o.object_id = r.object_id
       and o.package_id in ([join $packages ,])
   [template::list::orderby_clause -orderby -name "ratings"]" {
       set rating_img [ratings::icon::html_fragment -rating $all_rating_ave]
       set object_ratings_url [export_vars -base ratings {object_id}]
   }
