<master>
<property name="title">@event_info.name;noquote@</property>
<property name="context">@context;noquote@</property>

<if @admin_p@ true>
  <div style="float: right; padding: 4px;"><a href="manage/event?event_id=@event_id@" class="button">Administer this event</a></div>
</if>

<p>
  <b>When:</b> @event_info.timespan@
  <if @event_info.num_other_times@ gt 0>(<a href="activity?activity_id=@event_info.activity_id@">view other times and locations</a>)</if>
</p>

<p>
  <b>Where:</b> @event_info.city@
  <if @reg_id@ false>
    (You'll get specifics after you register)
  </if>
  <else>
    <if @reg_info.reg_state@ ne "approved">
      (You'll get specifics once your registration has been approved)
    </if>
  </else>
</p>

<if @reg_id@ ne 0 and @reg_info.reg_state@ eq "approved">
  <p>
    <b>Address:</b> 
    <blockquote><p>
      @venue_info.venue_name@
      <if @venue_info.address1@ not nil><br>@venue_info.address1@</if>
      <if @venue_info.address2@ not nil><br>@venue_info.address2@</if>
      <if @venue_info.city@ not nil or @venue_info.usps_abbrev@ not nil>
        <br><if @venue_info.city@ not nil>@venue_info.city@  </if>@venue_info.usps_abbrev@
      </if>
    </p></blockquote>
  </p>
</if>

<if @reg_id@ ne 0 and @reg_info.reg_state@ eq "approved" and @venue_info.description@ not nil>
  <p>
    <b>Directions:</b> 
    <blockquote><p>
      @venue_info.description@
    </p></blockquote>
  </p>
</if>

<p>
  <b>Registration:</b>
  <if @reg_id@ eq 0>
    <if @reg_deadline_has_passed_p@ true>
      Sorry, the deadline to register for this event was @event_info.reg_deadline@.
    </if>
    <else>
      Deadline is @event_info.reg_deadline@.
      <if @user_id@ ne 0>
        <if @can_register_p@ true>
          <b>&raquo;</b> <a href="order-one?event_id=@event_id@"><b>Register now</b></a>
        </if>
        <else>
          You do not have permission to register for this event.
        </else>
      </if>
      <else>
        <br><b>&raquo;</b> <a href="/register?return_url=@return_url@"><b>Login or sign up</b></a>
        <b>to register for this event.</b>
      </else>
    </else>
  </if>
  <else>
    You have already registered.<br>
    <b>&raquo;</b> <a href="order-check?reg_id=@reg_id@">Check registration status</a>.
  </else>
</p>


<if @organizers:rowcount@ gt 0>
  <p>
    <b>Organizers:</b>
  </p>
  <ul>
    <multiple name="organizers">
      <if @organizers.view_url@ not nil>
        <li>@organizers.role@: <a href="@organizers.view_url@">@organizers.organizer_name@</a></li>
      </if>
      <else>
        <li>@organizers.role@: @organizers.organizer_name@</li>
      </else>
    </multiple>
  </ul>
</if>

<if @attachments_enabled_p@>
 <p>
   <b>Event Agenda/Attachments:</b>
  </p>
  <ul>
    <multiple name="attachments">
      <li><a href="@attachments.url@">@attachments.name@</a></li>
    </multiple>
  </ul>
</if>

<if @event_info.detail_url@ not nil>
  <p>
    <b>Related Web Site:</b>
    <a href="@event_info.detail_url@">@event_info.detail_url@</a>
  </p>
</if>

<if @event_info.additional_note@ not nil>
  @event_info.additional_note;noquote@
  
  <if @reg_deadline_has_passed_p@ false and @reg_id@ eq 0>
    <p>
      <if @user_id@ ne 0>
        <if @can_register_p@ true>
          <b>&raquo;</b> <a href="order-one?event_id=@event_id@"><b>Register now</b></a>
        </if>
        <else>
          You do not have permission to register for this event.
        </else>
      </if>
      <else>
        <b>&raquo;</b> <a href="/register?return_url=@return_url@">Login or sign up</a>
        to register for this event.
      </else>
    </if>
  </p>
</if>
