# events/www/admin/activities.tcl
ad_page_contract {
    Displays a list of current and discontinued activities.
    Details for specific activities are one click deep.

    @author Michael Steigman (michael@steigman.net)
    @author Bryan Che (bryanche@arsdigita.com)
    @cvs_id $Id: activities.tcl,v 1.2 2004/11/23 20:20:54 annyf Exp $

} {
} 
set package_id [ad_conn package_id]
set user_id [ad_conn user_id]

#see if user have admin permission for the package
set permission_admin [permission::permission_p -object_id $package_id -party_id $user_id  -privilege "admin"]
set permission_create [permission::permission_p -object_id $package_id -party_id $user_id  -privilege "create"]
if { $permission_admin != 1 && $permission_create != 1} {

    doc_return 200 text/html  "<h3>Permission Denied</h3>
                               You don't have permission to admin Events Management. "
    ad_script_abort
}

set package_id [ad_conn package_id]

set context [list Activities]

db_multirow available_activities select_available_activities {}

db_multirow unavailable_activities select_unavailable_activities {}

ad_return_template
