# events/www/admin/roles.tcl
ad_page_contract {
    Displays a list of roles
    Details for specific roles are one click deep.

    @author Michael Steigman (michael@steigman.net)
    @author Bryan Che (bryanche@arsdigita.com)
    @cvs_id $Id: roles.tcl,v 1.1 2004/11/23 20:05:54 annyf Exp $

} {
} -properties {
    roles:multirow
}

set context_bar [ad_context_bar Roles]
set user_id [ad_conn user_id]
set package_id [ad_conn package_id]
set package_admin [permission::permission_p -object_id $package_id -party_id $user_id -privilege "admin"]
set permission_create [permission::permission_p -object_id $package_id -party_id $user_id -privilege "create"]

if { $package_admin != 1 && $permission_create != 1} {

    doc_return 200 text/html  "<h3>Permission Denied</h3>
                               You don't have permission to admin Events Management. "
    ad_script_abort
}


db_multirow roles select_roles {}

ad_return_template
