namespace eval mail_link {

    ad_proc -public add {
	-url:required
	-mail_id:required
    } {
	Creates a new mail-link
	@option url url of the link
	@option mail_id id of the mail that contains the link
	@returns link_id of the created mail-link
    } {
	set link_id [db_exec_plsql insert_mail_link {}]

	return $link_id
    }

    ad_proc -public click {
	-link_id:required
	-mail_id:required
	{-user_id ""}
    } {
	Records a user-click
	@option link_id id of the clicked link
	@option mail_id id of the mail that contained the link
	@option user_id user that clicked the link
    } {
	if {[empty_string_p $user_id]} {
	    set user_id [ad_conn user_id]
	}
	db_dml insert_click {}
    }

    ad_proc -public get_link_url {
	-link_id:required
    } {
	Returns the url of the link
	@option link_id id of the clicked link
    } {

	set url [db_string get_link_url {}]

	return $url
    }

}
