ad_page_contract {

    Displays the country category tree and lets user map country codes
    (to be used in mass subscribtion)

    @author Timo Hentschel (thentschel@sussdorff-roy.com)
    @cvs-id $Id:
} {
    country_codes:array
}

set user_id [auth::require_login]
set package_id [ad_conn package_id]
permission::require_permission -object_id $package_id -privilege mailing_list_admin

db_transaction {
    db_dml delete_old_country_codes {}

    foreach category_id [array names country_codes] {
	set country_code [string tolower $country_codes($category_id)]

	if {![empty_string_p $country_code]} {
	    db_dml insert_country_code {}
	}
    }
}

ad_returnredirect "."
