ad_page_contract {
} {
    class_id:integer,notnull
}

set package_id [ad_conn package_id]
permission::require_permission -object_id $package_id -privilege mailing_list_admin
permission::require_permission -object_id $class_id -privilege admin

db_transaction {
    set pending_jobs [db_string check_for_pending_jobs {}]

    if {$pending_jobs == 0} {
	# only delete if there're no pending mail jobs
	db_exec_plsql delete_mail_class {}
    }
}

if {$pending_jobs > 0} {
    ad_return_error "Pending Mail Jobs" "There are still pending mail jobs for this mail class. You can't delete this class until they are processed."
    return
}

ad_returnredirect "."
