ad_page_contract {
} {
    class_id:integer,notnull
}

set package_id [ad_conn package_id]
set user_id [ad_conn user_id]

permission::require_permission -object_id $package_id -privilege mailing_list_admin
permission::require_permission -object_id $class_id -privilege admin

db_1row get_class_info {}

template::multirow create users_read user_id first_names last_name read_p
template::multirow create users_admin user_id first_names last_name admin_p

db_foreach get_all_mailing_list_admins {} {
    if {$package_admin_p == "f"} {
	# you can't revoke the mailing_list_admin permission from package admins
	# so it doesn't make sense to show them
	if {$admin_p == "f"} {
	    template::multirow append users_read $admin_id $first_names $last_name $read_p
	}
	template::multirow append users_admin $admin_id $first_names $last_name $admin_p
    }
}

set context_bar [list [list "." Administration] "Mail Class Permissions"]
set export_vars [export_form_vars class_id]

ad_return_template
