<?xml version="1.0"?>
<queryset>

<fullquery name="get_users_selection_query">
      <querytext>
      
	select full_sql as query_string
	from us_selections
	where selection_id = :selection_id
    
      </querytext>
</fullquery>

 
<fullquery name="check_if_job_exists">
      <querytext>
      
	select count(*) as edit_job_p
	from ml_mail_jobs
	where mail_job_id = :mail_job_id
    
      </querytext>
</fullquery>

 
<fullquery name="get_attachments">
      <querytext>
      
	select i.name || ' (' || r.content_length || ' bytes)' as name,
               i.item_id as value
	from cr_items i, cr_revisions r
	where i.parent_id = :mail_job_id
	and r.item_id = i.item_id
    
      </querytext>
</fullquery>

 
<fullquery name="get_old_css_file">
      <querytext>
      
	select r.title || ' (' || r.content_length || ' bytes)' as css_file
	from cr_revisions r, ml_mail_jobs j
	where r.revision_id = j.css_revision_id
	and j.mail_job_id = :mail_job_id
    
      </querytext>
</fullquery>

 
<fullquery name="get_old_list_or_users_selection">
      <querytext>
      
	select list_id, selection_id
	from ml_mail_jobs m
	where mail_job_id = :mail_job_id
    
      </querytext>
</fullquery>

 
<fullquery name="get_current_css_file">
      <querytext>
      
	select r.title || ' (' || r.content_length || ' bytes)' as css_file
	from cr_revisions r, cr_items i
	where r.revision_id = i.live_revision
	and i.parent_id = :class_id
    
      </querytext>
</fullquery>

 
<fullquery name="get_ad_locales">
      <querytext>
      
    select label as name, locale as value
    from ad_locales

      </querytext>
</fullquery>

 
<fullquery name="check_if_data_changeable">
      <querytext>
      
    select subject_change_p, text_header_change_p, text_body_change_p,
           text_footer_change_p, html_header_change_p, html_body_change_p,
           html_footer_change_p, subject as default_subject, mime_type,
           text_header as default_text_header, text_body as default_text_body,
           text_footer as default_text_footer, html_header as default_html_header,
           html_body as default_html_body, html_footer as default_html_footer
    from ml_mail_classes
    where mail_class_id = :class_id

      </querytext>
</fullquery>

 
<fullquery name="get_mail_job_bind_vars">
      <querytext>
      
	    select name, description, value
	    from ml_mail_job_bind_vars
	    where mail_job_id = :mail_job_id
	    order by name
	
      </querytext>
</fullquery>

 
<fullquery name="get_selection_bind_vars">
      <querytext>
      
	    select name, description, default_value
	    from us_bind_vars
	    where selection_id = :selection_id
	    order by name
	
      </querytext>
</fullquery>

 
<fullquery name="get_mail_class_data">
      <querytext>
      
	select c.locale, c.sender_email, c.subject, c.text_header, c.text_body,
	       c.text_footer, c.html_header, c.html_body, c.html_footer,
	       c.mime_type, c.name as class_name, c.comments as class_comment
	from ml_mail_classes c
	where c.mail_class_id = :class_id
    
      </querytext>
</fullquery>

 
<fullquery name="get_list_name">
      <querytext>
      
	    select name as list_name, comments as list_comment
	    from ml_mailing_lists
	    where list_id = :list_id
	
      </querytext>
</fullquery>

 
<fullquery name="get_users_selection_name">
      <querytext>
      
	    select title as selection_name, description as selection_desc
	    from us_selections
	    where selection_id = :selection_id
	
      </querytext>
</fullquery>

 
<fullquery name="update_bind_var">
      <querytext>
      
		    update ml_mail_job_bind_vars
		    set value = :value
		    where mail_job_id = :mail_job_id
		    and name = :var_name
		
      </querytext>
</fullquery>

 
</queryset>
