-- this code comes from Thomas Kyte's book Expert One-on-One:  Oracle.  It's 
-- used in lib/person.tcl, as a much faster way of selecting when the IN list
-- is very long.  I tried a temporary table too, but it was considerably slower.

create or replace type myTableType as table of number;
/


create or replace function str2tbl( p_str in varchar2 ) return myTableType
as
  l_str long default p_str || ',';
  l_n number;
  l_data myTableType := myTableType();
begin
  loop
    l_n := instr(l_str, ',');
    exit when (nvl(l_n,0) = 0);
    l_data.extend;
    l_data(l_data.count) := ltrim(rtrim(substr(l_str, 1, l_n-1)));
    l_str := substr(l_str, l_n+1);
  end loop;
  return l_data;
end;
/
show errors;
