ReturnHeaders

ns_write "Starting...<br>\n"

db_transaction {
  
  ns_write "Moving existing attributes...<br>\n"
  
  # first, increment existing sort_orders to make "holes" for the new 
  # fields.  Do this starting with the largest numbers.
  set start_at [db_string get "select sort_order from acs_attributes where attribute_name = 'urop_1' and object_type = 'phb_person'"]
  db_foreach get "select attribute_name, sort_order from acs_attributes where object_type = 'phb_person' and sort_order >= $start_at order by sort_order desc" {
    db_dml update "update acs_attributes set sort_order = [expr $sort_order + 3] where object_type = 'phb_person' and attribute_name = :attribute_name"
  }

  ns_write "Moving fields into place...<br>\n"

  # move up the ones we're moving
  set start_at2 [db_string get "select sort_order from acs_attributes where attribute_name = 'academic_interest_1' and object_type = 'phb_person'"]
  db_foreach get "select attribute_name, sort_order from acs_attributes where object_type = 'phb_person' and sort_order >= $start_at2 and sort_order < [expr $start_at2 + 3] order by sort_order" {
    db_dml update "update acs_attributes set sort_order = $start_at where object_type = 'phb_person' and attribute_name = :attribute_name"
    incr start_at
  }

  ns_write "Moving rest of fields up to fill gap...<br>\n"

  # and now fill in the hole where they were
  db_foreach get "select attribute_name, sort_order from acs_attributes where object_type = 'phb_person' and sort_order > [expr $start_at2 + 2] order by sort_order" {
    db_dml update "update acs_attributes set sort_order = sort_order - 3 where object_type = 'phb_person' and attribute_name = :attribute_name"
  }
  
  # update labels
  db_dml update "update acs_attributes set pretty_name = 'UROP 1<br>(undergrad only)' where pretty_name = 'UROP 1'"
  db_dml update "update acs_attributes set pretty_name = 'Professor 1<br>(undergrad only)' where pretty_name = 'Professor 1'"
  db_dml update "update acs_attributes set pretty_name = 'UROP 2<br>(undergrad only)' where pretty_name = 'UROP 2'"
  db_dml update "update acs_attributes set pretty_name = 'Professor 2<br>(undergrad only)' where pretty_name = 'Professor 2'"
}

db_transaction {
  # make room for concentration
   set start_at [db_string get "select sort_order from acs_attributes where attribute_name = 'urop_2' and object_type = 'phb_person'"]
    db_foreach get "select attribute_name, sort_order from acs_attributes where object_type = 'phb_person' and sort_order >= $start_at order by sort_order desc" {
      db_dml update "update acs_attributes set sort_order = [expr $sort_order + 1] where object_type = 'phb_person' and attribute_name = :attribute_name"
    }
  
  # make room for concentration 2
   set start_at [db_string get "select sort_order from acs_attributes where attribute_name = 'urop_professor_1' and object_type = 'phb_person'"]
    db_foreach get "select attribute_name, sort_order from acs_attributes where object_type = 'phb_person' and sort_order > $start_at order by sort_order desc" {
      db_dml update "update acs_attributes set sort_order = [expr $sort_order + 2] where object_type = 'phb_person' and attribute_name = :attribute_name"
    }

  # rearrange a bit (kludge, but things got out of order somewhere along the way
  db_dml update "update acs_attributes set sort_order = 39 where object_type = 'phb_person' and attribute_name = 'urop_2'"
  db_dml update "update acs_attributes set sort_order = 40 where object_type = 'phb_person' and attribute_name = 'urop_professor_2'"
  db_dml update "update acs_attributes set sort_order = 42 where object_type = 'phb_person' and attribute_name = 'priv_urop'"
  
  # move them into place and update the labels
  db_dml update "update acs_attributes set sort_order = 38, pretty_name = 'Concentration 1<br>(undergrad only)' where attribute_name = 'concentration_1'"
  db_dml update "update acs_attributes set sort_order = 41, pretty_name = 'Concentration 2<br>(undergrad only)' where attribute_name = 'concentration_2'"
}

ns_write "Done...<br>\n"
