ad_page_contract {

    Add an arbitrary number of new users

    @author Don Baccus (dhogaza@pacifier.com)
    @creation-date 2003-01-07

}

set package_id [ad_conn package_id]
set user_id [ad_conn user_id]
set creation_ip [ad_conn peeraddr]

permission::require_permission -party_id $user_id -object_id $package_id -privilege admin

ad_form -name add_rel_type -form {
    {rel_type:text          {label "New membership_rel subtype to add?"}}
    {pretty_name:text       {label "Pretty name?"}}
    {pretty_plural:text     {label "Pretty plural?"}}
} -validate {
    {rel_type
        { ![db_0or1row check_rel_type {}] }
        "A relationship type based on this name already exists"
    }
} -on_submit {

    db_transaction {

        rel_types::new -supertype membership_rel -role_two member ${rel_type} $pretty_name $pretty_plural group 1 1 person 0 ""

    } on_error {
        ad_return_error "Creation of membership relationship type failed" $errmsg
        ad_script_abort
    }

    ad_returnredirect "index"
    ad_script_abort

}

set context {"Add membership relationship type"}

ad_return_template
