ad_page_contract {

    Add an arbitrary number of new subsites

    @author Don Baccus (dhogaza@pacifier.com)
    @creation-date 2003-01-07

}

set package_id [ad_conn package_id]
set user_id [ad_conn user_id]
permission::require_permission -party_id $user_id -object_id $package_id -privilege admin

ad_form -name add_subsites -form {
    {new_subsites_width:integer        {label "Width of new subsite tree?"}
                                       {html { size 5 }}}
    {new_subsites_depth:integer        {label "Depth of new subsite tree?"}
                                       {html { size 5 }}}
} -validate {
    {new_subsites_width
        { $new_subsites_width > 0 }
        "Width must be greater than zero"
    }
    {new_subsites_depth
        { $new_subsites_depth > 0 }
        "Depth must be greater than zero"
    }
} -on_submit {

    array set root_node [site_node::get -url "/"]
    set context_id $root_node(package_id)
    set parent_id $root_node(node_id)

    fill_subsite_tree -parent_id $parent_id -context_id $context_id -level 1 -max_level $new_subsites_depth -width $new_subsites_width

    ad_returnredirect "index"
    ad_script_abort

}

set context {"Add subsites"}

ad_return_template
