ad_page_contract {
    Configure the portal package's interaction with the subsite package in the 'ole
    look and feel department.
} {
}

ad_form -name configure-subsite-integration -form {
    {template_style:integer(radio)
        {options {{"Tabbed navigation with portal page tabs integrated with
                    subsite applications tabs" 0}
                  {"Tabbed subsite navigation with nested portal page tabs"  1}
                  {"Portal page tabs with existing subsite master template" 2}}}
        {values {0}}
        {label "Choose navigation style?"}
        {help_text "Warning - the first two options will change this subsite's master template"}
    }
    {portal_index_page_p:boolean(radio)
        {options {{Yes 1} {No 0}}}
        {values {1}}
        {label "Should the parent subsite serve the portal package as its index page?"}
    }
    {show_single_button_navbar_p:boolean(radio)
        {options {{Yes 1} {No 0}}}
        {values {0}}
        {label "Should we show the navigation tabs when there's only one of them?"}
    }
} -on_submit {

    switch $template_style {

        0 {parameter::set_value \
             -parameter DefaultMaster \
             -package_id [ad_conn subsite_id] \
             -value /packages/portal/lib/tabbed-master

           parameter::set_value \
             -parameter OurMasterTemplate \
             -package_id [ad_conn package_id] \
             -value /packages/portal/lib/tabbed-master

           parameter::set_value \
             -parameter SiteMasterTemplate \
             -package_id [ad_conn package_id] \
             -value /www/site-master

           parameter::set_value \
             -parameter NavbarClass \
             -package_id [ad_conn package_id] \
             -value navbar

        }

        1 {parameter::set_value \
             -parameter DefaultMaster \
             -package_id [ad_conn subsite_id] \
             -value /packages/portal/lib/nested-tabbed-master

           parameter::set_value \
             -parameter OurMasterTemplate \
             -package_id [ad_conn package_id] \
             -value /packages/portal/lib/nested-tabbed-master

           parameter::set_value \
             -parameter SiteMasterTemplate \
             -package_id [ad_conn package_id] \
             -value /www/site-master

           parameter::set_value \
             -parameter NavbarClass \
             -package_id [ad_conn package_id] \
             -value subnavbar
        }

        2 {parameter::set_value \
             -parameter OurMasterTemplate \
             -package_id [ad_conn package_id] \
             -value /packages/portal/lib/plain-master
        }

    }

    if { $portal_index_page_p } {
        parameter::set_value \
            -parameter IndexRedirectUrl \
            -package_id [ad_conn subsite_id] \
            -value [ad_conn package_url]
    }

    parameter::set_value \
        -parameter ShowSingleButtonNavbar \
        -package_id [ad_conn package_id] \
        -value $show_single_button_navbar_p

    template::wizard::forward
}

template::wizard::submit configure-subsite-integration -buttons {back next}
