<?xml version="1.0"?>

<queryset>

    <fullquery name="get_non_admin_portals">
        <querytext>

            select portal_id
            from portals
            where package_id = :package_id
              and owner_id <> :package_id

        </querytext>
    </fullquery>

    <fullquery name="check_application">
        <querytext>

           select count(*)
           from portal_datasources pd
           where pd.application = :one_application
             and exists (select 1
                         from portal_datasource_map pdm
                         where pdm.package_id = :package_id
                           and pdm.datasource_id = pd.datasource_id)

        </querytext>
    </fullquery>

    <fullquery name="insert_application">
        <querytext>

          insert into portal_datasource_map
            (datasource_id, package_id)
          select pd.datasource_id, :package_id
          from portal_datasources pd
          where pd.application = :one_application 

        </querytext>
    </fullquery>

    <fullquery name="get_user_datasources">
        <querytext>

            select name
            from portal_datasources
            where application = :one_application
              and admin_p = 'f'

        </querytext>
    </fullquery>


    <fullquery name="get_admin_datasources">
        <querytext>

            select name
            from portal_datasources
            where application = :one_application
              and admin_p = 't'

        </querytext>
    </fullquery>

</queryset>
