ad_page_contract {

    Displays the given portal if specified.  Otherwise, figure out the proper portal
    to display based on the create_private_portals_p parameter, creating the user's
    personal portal if necessary.

    @author Don Baccus (dhogaza@pacifier.com)
    @creation-date 2004-01-02
    @version $Id: index.tcl,v 1.5 2004/06/26 00:36:01 donb Exp $

} {
    {page_num:integer,optional 0}
    {portal_id:integer,optional ""}
}

set master_template [parameter::get -parameter OurMasterTemplate]
set user_portal_id [portal::get_user_portal_id]
if { [string equal $portal_id ""] } {
    set portal_id $user_portal_id
}

# Check to see if we're serving the admin portal
if { $portal_id == [portal::get_admin_portal_id] } {
    permission::require_permission -privilege admin -object_id $portal_id
    set edit_p 0
    set render_style all-in-one
} elseif { $portal_id == [portal::get_user_portal_id] } {
    set edit_p [permission::permission_p -object_id $portal_id -privilege write]
    set render_style individual
} else {
    permission::require_permission -privilege read -object_id $portal_id
    set edit_p [permission::permission_p -object_id $portal_id -privilege write]
    set render_style individual
}

set src /packages/portal/lib/render-styles/${render_style}/render-portal

ad_return_template

