<?xml version="1.0"?>
<queryset>
  <fullquery name="new_resource_item">
    <querytext>
        select rl_resource__new_item (
                null,
                :resource_name,
                :description,
                now(),
                :user_id,
                :peeraddr,
                :package_id
        );
    </querytext>
  </fullquery>

  <fullquery name="new_resource_revision">
    <querytext>
        select rl_resource__new_revision (
                :resource_item_id,
                :resource_name,
                :description,
                now(),
                :user_id,
                :peeraddr,
                :package_id
        );
    </querytext>
  </fullquery>

  <fullquery name="resource_query">
    <querytext>
      select
        item_id as resource_item_id,
        title as resource_name,
        description
        FROM
        rl_resources_revisionsx
       where resource_revision_id = :resource_revision_id
    </querytext>
  </fullquery>

  <fullquery name="get_item_id">
    <querytext>
      select
        item_id as resource_item_id
        FROM
        rl_resources_revisionsx
       where resource_revision_id = :resource_revision_id
    </querytext>
  </fullquery>

  <fullquery name="get_resource_types">
    <querytext>
      select
        category_id as category_type_id,
        short_name as type_short_name
        FROM
        rl_resource_category_type
        ORDER BY
        ordering
    </querytext>
  </fullquery>

  <fullquery name="get_category_items">
    <querytext>
      select
        short_name,
        category_id
        FROM
        rl_resource_category
        WHERE
        category_type = :category_type_id
        ORDER BY
        short_name
    </querytext>
  </fullquery>

  <fullquery name="insert_category">
    <querytext>
        insert into
        rl_resource_category_map
        (resource_item_id, category_id)
        values
        (:resource_item_id, :category_to_insert)
    </querytext>
  </fullquery>

  <fullquery name="get_categories">
    <querytext>
      select
        c.category_id
        FROM
        rl_resource_category c,
        rl_resource_category_map m,
        rl_resources_revisionsx r
        WHERE
        m.resource_item_id = r.item_id and
        c.category_id = m.category_id and
        r.resource_revision_id = :resource_revision_id
    </querytext>
  </fullquery>

  <fullquery name="delete_categories">
    <querytext>
        delete from rl_resource_category_map where resource_item_id = :resource_item_id
    </querytext>
  </fullquery>

</queryset>
