ad_page_contract {

    Approve or delete page

    @author jade@safe4all.org
    @creation-date 2003-08-27
    @cvs-id $Id: approve-delete-2.tcl,v 1.5 2005/03/01 00:01:20 jeffd Exp $

    @return title Page title.
    @return context Context bar.
    @return resources Multirow data set of resources.
    @return task_term Terminology for tasks
    @return task_term_lower Terminology for tasks (lower case)
    @return resource_term Terminology for resources
    @return resource_term_lower Terminology for resources (lower case)

} {
    {approve:integer,multiple ""}
    {delete:integer,multiple ""}
    {resource_name:multiple ""}
    {description:multiple,html ""}
    {revisions:integer,multiple ""}
}

# --------------------------------------------------------------- #

# the unique identifier for this package
set package_id [ad_conn package_id]
set user_id    [auth::require_login]

# permissions
permission::require_permission -party_id $user_id -object_id $package_id -privilege admin

# root CR folder
set root_folder [db_string get_root "select rl_resource__get_root_folder (:package_id, 'f')"]

set peeraddr [ad_conn peeraddr]

set i 0

foreach rev $revisions {
    
    set resource_item_id [db_string get_item_id { } -default "-1"]

    set desc [lindex $description $i]
    set titl [lindex $resource_name $i]

    if {![string equal $resource_item_id -1]} {
        db_exec_plsql update_resource { *SQL* }
    }

    incr i
}

if {[llength $approve] > 0} {

    foreach app [db_list get_item_id_app { }] {
        db_dml approve_item { }
    }
}

if {[llength $delete] > 0} {

    foreach del [db_list get_item_id_del { }] {        
        db_exec_plsql delete_item { }
    }

}

util_memoize_flush "resource_list_pending_get_count_cached"
util_memoize_flush "resource_list_get_count_cached"


ad_returnredirect index

# ------------------------- END OF FILE ------------------------- #
