# /packages/room-reservation/www/index.tcl

ad_page_contract {

    Room Reservation

    @author Deds Castillo (deds@infiniteinfo.com)
    @creation-date 2002-08-28
    @cvs-id $Id: index.tcl,v 1.4 2005/10/18 23:32:35 alexk Exp $

} {
    {filter_on ""}
    {orderby ""}
    {status:optional}
} -properties {
    title:onevalue
    context:onevalue
}

set user_id [auth::require_login]

set package_id [ad_conn package_id]

set admin_p [ad_permission_p $package_id admin]

set title "[_ room-reservation.Room_Reservation]"

set where_clause "and reserving_user = :user_id"

set actions {
    "View all Reservations" "room-reservations-all" ""
    "Reserve / View Rooms" "rooms" ""
}

if {$admin_p} {
    append actions {
        "Administer" "admin" ""
    }
}

template::list::create \
    -name room_reservations \
    -multirow room_reservations \
    -key reservation_id \
    -actions $actions \
    -elements {
        name {
            label "Name"
            display_template {
                <a href="reservation-view?reservation_id=@room_reservations.reservation_id@">@name@</a>
            }
        }
        room_name {
            label "Room Name"
        }
        facility_name {
            label "Facility Name"
        }
        full_end_date {
            label "Date Reserved"
        }
        status {
            label "Status"
        }
    } \
    -filters {
        status {
            label "Status"
            values {{Pending pending} {Approved approved} {Rejected rejected} {Canceled canceled}}
            where_clause {
                status = :status
            }
        }
    } \
    
db_multirow -extend {} room_reservations get_reservations {
} { 
    
}


