# /packages/room-reservation/www/room-reservations.tcl

ad_page_contract {
    
    Shows reservations of a Room

    @author Deds Castillo (deds@infiniteinfo.com)
    @creation-date 2002-08-28
    @cvs-id $Id: room-reservations-all.tcl,v 1.1 2005/10/18 23:32:35 alexk Exp $

} {
    {view "month"}
    {date ""}
    {julian_date ""}
} -properties {
    title:onevalue
    context:onevalue
}

set user_id [auth::require_login]

set date [calendar::adjust_date -date $date -julian_date $julian_date]

room-reservation::get_ui_params -rooms_pretty_name rooms_pretty_name -rooms_pretty_plural rooms_pretty_plural

set title "All Reservations"

set context [list $title]

set item_template "<a href=\"reservation-view?reservation_id=\$reservation_id\">\$item</a>"
set day_template "<font size=-1><b>\$day</b> - <a href=\"\?date=\$date&view=day\">\$pretty_date</a></font>"
set item_add_template ""

switch -exact -- $view {
    {week} {
	set content [room-reservation::calendar::one_week_display \
                         -date $date \
                         -prev_nav_template "<a href=\"?view=week&date=\[ns_urlencode \$last_week]\">&lt;</a>" \
                         -next_nav_template "<a href=\"?view=week&date=\[ns_urlencode \$next_week]\">&gt;</a>" \
                         -item_template $item_template \
			 -day_template $day_template \
                    ]
    }
    {month} {
	set content [room-reservation::calendar::one_month_display \
                         -date $date \
                         -prev_nav_template "<a href=\"?view=month&date=\$ansi_date\">&lt;</a>" \
                         -next_nav_template "<a href=\"?view=month&date=\$ansi_date\">&gt;</a>" \
                         -item_template "<font size=-2>$item_template</font>" \
                         -day_template "<font size=-1><b><a href=?julian_date=\$julian_date&view=day>\$day_number</a></b></font>" \
			 -item_add_template "<font size=-3>$item_add_template</font>" \
                    ]
    }
    {day} {
	set content [room-reservation::calendar::one_day_display \
                         -date $date \
                         -prev_nav_template "<a href=\"?view=day&date=\[ns_urlencode \$yesterday]\">&lt;</a>" \
                         -next_nav_template "<a href=\"?view=day&date=\[ns_urlencode \$tomorrow]\">&gt;</a>" \
                         -item_template $item_template \
                    ]
    }
    {list} {
	set content [room-reservation::calendar::list_display \
                         -date $date \
                         -item_template $item_template \
                    ]
    }
}

set calendar_navigation [dt_widget_calendar_navigation "room-reservations-all" $view $date ""]
