# /packages/users-selection/www/admin/selection-ae.tcl
ad_page_contract {
     
     @author Tilmann Singer (tils@tils.net)
     @creation-date Fri Dec 20 21:30:13 2002
} {
    selection_id:integer,optional
    copy_id:integer,optional
}

set package_id [ad_conn package_id]
set user_id [ad_conn user_id]

set context_bar [list "[_ users-selection.AddEdit]"]

# If the user is site wide admin then he may edit the sql
# directly. We must not allow this to anyone else since it enables
# messing with everything in the system.
# permission::require_permission -object_id [acs_magic_object security_context_root] -privilege admin

ad_form -name selection_form -action selection-ae -form {
    {selection_id:key}
    {title:text {label "[_ users-selection.Title]"} {html {size 20}}}
    {description:text(textarea) {label "[_ users-selection.Description]"} {html {rows 10 cols 40 wrap soft}}}
    {full_sql:text(textarea) {label "[_ users-selection.Full_SQL]"} {html {rows 10 cols 40 wrap soft}}}
} -new_request {
    if {[exists_and_not_null copy_id]} {
	db_1row get_copied_selection {}
    } else {
	set title ""
	set description ""
	set full_sql "select u.user_id, y.email as user_email, p.first_names as user_first_names, p.last_name as user_last_name
from users u, parties y, persons p
where u.user_id = y.party_id
and u.user_id = p.person_id"
	set bind_vars ""
	set vars_default ""
    }
} -edit_request {
    db_1row get_selection {}
} -validate {
    {full_sql {[regexp {user_id} $full_sql] && [regexp {user_email} $full_sql] && [regexp {user_first_names} $full_sql] && [regexp {user_last_name} $full_sql]} "[_ users-selection.lt_The_SQL_Query_must_co]"}
} -on_submit {
    # extract bind variables
    set bind_vars [list]
    set s $full_sql
    while { [regexp -indices {:[a-zA-Z_]+} $s pos] } {
	lappend bind_vars [string range $s [expr [lindex $pos 0]+1] [lindex $pos 1]]
	set s [string range $s [expr [lindex $pos 1] + 1] end]
    }
    set bind_vars [string tolower $bind_vars]
} -new_data {
    set selection_id [user_selection::add -title $title -description $description \
			  -full_sql $full_sql -bind_vars $bind_vars]
} -edit_data {
    user_selection::edit -selection_id $selection_id -title $title \
	-description $description -full_sql $full_sql -bind_vars $bind_vars
} -after_submit {
    if {[empty_string_p $bind_vars]} {
	set  target_url "selection?[export_vars selection_id]"
    } else {
	db_transaction {
	    foreach bind_var $bind_vars {
		db_dml insert_new_bind_vars {}
	    }

	    set bind_var_sql_list "'[join $bind_vars "' ,'"]'"
	    db_dml delete_unused_bind_vars {}
	}
	set target_url "selection-vars?[export_vars selection_id]"
    }
    ad_returnredirect $target_url
    ad_script_abort
}

ad_return_template
