# /packages/users-selection/www/admin/selection-vars.tcl
ad_page_contract {
     
     @author Tilmann Singer (tils@tils.net)
     @creation-date Fri Dec 20 21:30:13 2002
} {
    selection_id:integer
    bvar_desc:array,optional
    bvar_value:array,optional
}

set package_id [ad_conn package_id]
set user_id [ad_conn user_id]

set context_bar [list [list "selection?[export_url_vars selection_id]" "[_ users-selection.Detail]"] "[_ users-selection.Edit_Bind_Vars]"]

# If the user is site wide admin then he may edit the sql
# directly. We must not allow this to anyone else since it enables
# messing with everything in the system.
# permission::require_permission -object_id [acs_magic_object security_context_root] -privilege admin

db_1row get_selection {}

set bind_vars_values [db_list_of_lists get_bind_vars {}]

set ad_form_code "-form {\n"
foreach bind_value $bind_vars_values {
    util_unlist $bind_value var_name var_description var_value
    append ad_form_code "{bvar_desc.$var_name:text {label \":$var_name Description\"} {html {size 100}} {value \"$var_description\"}}
{bvar_value.$var_name:text {label \":$var_name Default Value\"} {html {size 60}} {value \"$var_value\"}}\n"
}

append ad_form_code "}"
append ad_form_code { -on_submit {
    db_transaction {
	foreach var_name $bind_vars {
	    set description $bvar_desc($var_name)
	    set default_value $bvar_value($var_name)

	    db_dml update_bind_var {}
	}
    }
} -after_submit {
    ad_returnredirect "selection?[export_vars selection_id]"
    ad_script_abort
}}

eval ad_form -name bind_vars_form -action selection-vars -export {selection_id} $ad_form_code

ad_return_template
